## ruby-curses 1.4.4

=== vendor/PDCurses/Makefile ===
# Make archives for distribution

include version.mif

PDC_DIR=PDCurses-$(VERDOT)

ZIPFILE = pdcurs$(VER).zip
TARBALL = $(PDC_DIR).tar.gz

all:
	@echo Look in folders for platform-specific build instructions.

manual:
	cd man; $(MAKE) $(MFLAGS) $@

$(ZIPFILE):
	zip -9ory $(ZIPFILE) *

zip: $(ZIPFILE)

../$(TARBALL):
	(cd ..; tar cvf - $(PDC_DIR)/* | gzip -9 > $(TARBALL))

dist: ../$(TARBALL)

rpm: ../$(TARBALL)
	rpmbuild -ba x11/PDCurses.spec

=== vendor/PDCurses/wingui/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "MinSizeRel" CACHE STRING "Choose the type of build, options are: Debug, Release, or MinSizeRel." FORCE)
    message(STATUS "No build type specified, defaulting to MinSizeRel.")
endif()

PROJECT(wingui VERSION "${PROJECT_VERSION}" LANGUAGES C)

INCLUDE(project_common)
  
demo_app(../demos version)
demo_app(../demos firework)
demo_app(../demos ozdemo)
demo_app(../demos newtest)
demo_app(../demos ptest)
demo_app(../demos rain)
demo_app(../demos testcurs)
demo_app(../demos tuidemo)
demo_app(../demos worm)
demo_app(../demos xmas)

IF(WIN32)
    SET_TARGET_PROPERTIES(${PROJECT_NAME}_newtest PROPERTIES LINK_FLAGS "/SUBSYSTEM:WINDOWS")
ENDIF(WIN32)

SET(CPACK_COMPONENTS_ALL applications)

## ruby-curses 1.0.2

=== debian/changelog ===
ruby-curses (1.0.2-1build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:34 +0000

ruby-curses (1.0.2-1build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:02:11 +0000

ruby-curses (1.0.2-1) unstable; urgency=medium

  * Initial release.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 09 Aug 2016 18:32:22 +0200

=== debian/control ===
Source: ruby-curses
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               libncursesw5-dev
Standards-Version: 3.9.7
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-curses.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-curses.git
Homepage: http://github.com/ruby/curses
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-curses
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: curses binding for Ruby
 Ruby binding for curses, ncurses, and PDCurses. curses is an
 extension library for text UI applications.
 .
 This module is built with wide character support.

=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/curses .*/curses-(.*).tar.gz

## ruby-curses 1.2.4

=== debian/changelog ===
ruby-curses (1.2.4-1ubuntu0.22.04.1) jammy; urgency=medium

  * Drop calls to rb_safe_level() to prevent depreciation warnings
    from filling the screen, making tools like irqtop unusuable.
    (LP: #1907932)
    - d/p/lp1907932-drop-rb_safe_level-check.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Fri, 17 May 2024 14:19:51 +0200

ruby-curses (1.2.4-1build3) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 13:59:48 -0300

ruby-curses (1.2.4-1build2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 17 Nov 2021 17:20:56 -0300

ruby-curses (1.2.4-1build1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * Sponsoring ruby2.7 transitions

  [ Lucas Kanashiro ]
  * No-change rebuild for ruby2.7

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Wed, 26 Feb 2020 17:10:56 +0000

ruby-curses (1.2.4-1) unstable; urgency=medium

  * New upstream version 1.2.4.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 24 Apr 2018 17:37:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Andrew Shadura <andrewsh@debian.org>
+Uploaders: Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 9~),
                gem2deb,
                libncursesw5-dev
 Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/ruby-curses.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/ruby-curses.git
+# Vcs-Git: https://salsa.debian.org/ruby-team/ruby-curses.git
+# Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-curses.git
+Vcs-Git: https://git.dgit.debian.org/ruby-curses
+Vcs-Browser: https://browse.dgit.debian.org/ruby-curses.git/
 Homepage: http://github.com/ruby/curses
 Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all

## ruby-curses 1.4.4

=== debian/changelog ===
ruby-curses (1.4.4-1build4) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 02:29:22 -0300

ruby-curses (1.4.4-1build3) noble; urgency=medium

  * No-change upload to add support for ruby3.2.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 02 Feb 2024 00:27:22 -0300

ruby-curses (1.4.4-1build2) lunar; urgency=medium

  * No-change upload to remove support for ruby3.0.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 02 Feb 2023 15:49:15 -0300

ruby-curses (1.4.4-1build1) lunar; urgency=medium

  * No-change upload to add support for ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 23 Jan 2023 14:24:07 -0300

ruby-curses (1.4.4-1) unstable; urgency=medium

  * New upstream release (Closes: #958973).
  * d/copyright: Use https protocol in Format field.
  * Use debhelper-compat instead of debian/compat, bump compat to 13.
  * d/control: Set Vcs-* to salsa.debian.org (Closes: #959115).
  * Update watch file format version to 4.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Set Standards-Version: 4.6.0.
  * Set Rules-Requires-Root: no.
  * Wrap and sort debian/control.
  * Use dh-sequence-ruby instead of --with ruby.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 15 Apr 2022 16:54:53 +0200

=== debian/control ===
Source: ruby-curses
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrej Shadura <andrewsh@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-ruby,
 libncursesw5-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-curses.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-curses
Homepage: https://github.com/ruby/curses
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-curses
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends:
 ruby | ruby-interpreter,
 ${misc:Depends},
 ${shlibs:Depends},
Description: curses binding for Ruby
 Ruby binding for curses, ncurses, and PDCurses. curses is an
 extension library for text UI applications.
 .
 This module is built with wide character support.

=== debian/watch ===
version=4
https://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/curses .*/curses-(.*).tar.gz

## ruby-curses 1.4.6

=== debian/changelog ===
ruby-curses (1.4.6-1build1) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 16 Aug 2024 03:39:57 -0300

ruby-curses (1.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Declare compliance with Debian Policy version 4.7.0.
  * d/control: runtime depend on ${ruby:Depends} instead of the interpreter.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 08 Aug 2024 19:26:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: ruby-curses
 Section: ruby
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders:
- Andrej Shadura <andrewsh@debian.org>,
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-ruby,
  libncursesw5-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/ruby-team/ruby-curses.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-curses
@@ -20,7 +18,7 @@
 Architecture: any
 XB-Ruby-Versions: ${ruby:Versions}
 Depends:
- ruby | ruby-interpreter,
+ ${ruby:Depends},
  ${misc:Depends},
  ${shlibs:Depends},
 Description: curses binding for Ruby
